import { v as c, q as p } from "./index-jYYVpIDL.js";
import { A as m } from "./AppCard-pSUVQRE0.js";
import { u } from "./useIsAppEnabled-Tvqt7uu5.js";
import l from "./EventTypeAppSettingsInterface-T17B5RGm.js";
const E = function({ app: t, eventType: e }) {
  var s;
  const { getAppData: a, setAppData: n, disabled: r } = c(), { enabled: i, updateEnabled: o } = u(t);
  return /* @__PURE__ */ p.jsx(
    m,
    {
      hideSettingsIcon: !0,
      app: t,
      switchOnClick: (d) => {
        o(d);
      },
      switchChecked: i,
      teamId: ((s = e.team) == null ? void 0 : s.id) || void 0,
      children: /* @__PURE__ */ p.jsx(
        l,
        {
          eventType: e,
          slug: t.slug,
          disabled: r,
          getAppData: a,
          setAppData: n
        }
      )
    }
  );
};
export {
  E as default
};
